if test -t 1; then
  if [ $(command -v tput) ]; then
    ncolors=$(tput colors)
    if test -n "$ncolors" && test $ncolors -ge 8; then
      standout="$(tput smso)"
      normal="$(tput sgr0)"
      red="$(tput setaf 1)"
      green="$(tput setaf 2)"
    fi
  fi
fi
info() {
  printf "${green}[INFO   ]${normal}  $1\n"
  echo   "[INFO   ] $1\n" >> execution.log
}

warning() {
  printf "${red}[WARNING]${normal}  $1\n"
}

error() {
  printf "${standout}${red}[ERROR  ]${normal}  $1\n"
}

indent() {
  printf "           $1\n"
}
